﻿Option Explicit On
Option Strict On

Imports System.ServiceModel
Imports System.Runtime.Serialization

Namespace Framework.Hardware

    ''' <summary>
    ''' 
    ''' </summary>
    ''' <remarks></remarks>
    <DataContract()> _
    Public Class PowerLedEventArgs
        Inherits EventArgs

#Region " Private Members "

        Private m_Level As Integer

#End Region

#Region " Constructor "

        ''' <summary>
        ''' Constructor
        ''' </summary>
        ''' <param name="Level">The Level of the Power LED's</param>
        ''' <remarks></remarks>
        Public Sub New(ByVal Level As Integer)
            m_Level = Level
        End Sub

#End Region

#Region " Public Properties "

        ''' <summary>
        ''' The Level of the Power LED's
        ''' </summary>
        ''' <value></value>
        ''' <returns></returns>
        ''' <remarks></remarks>
        <DataMember()> _
        Public Property Level As Integer
            Get
                Return m_Level
            End Get
            Set(ByVal value As Integer)
                m_Level = value
            End Set
        End Property

#End Region

    End Class

End Namespace