﻿Option Explicit On
Option Strict On

Namespace Framework.RS232

    Public Class RS232DataReceivedEventArgs
        Inherits EventArgs

        Private m_StringData As String
        Private m_ByteData() As Byte

        Public Sub New(ByVal TextData As String, ByVal ByteData() As Byte)
            m_StringData = TextData
            m_ByteData = ByteData
        End Sub

        Public ReadOnly Property StringData() As String
            Get
                Return m_StringData
            End Get
        End Property

        Public ReadOnly Property ByteData() As Byte()
            Get
                Return m_ByteData
            End Get
        End Property

    End Class

End Namespace