﻿Option Explicit On
Option Strict On

Namespace Framework.Hardware

    ''' <summary>
    ''' 
    ''' </summary>
    ''' <remarks></remarks>
    Public Class AirTemperatureEventArgs
        Inherits EventArgs

#Region " Private Members "

        Private m_Bars As Integer

#End Region

#Region " Constructor "

        ''' <summary>
        ''' Constructor
        ''' </summary>
        ''' <param name="Bars">The Number of Bars (x 10deg C)</param>
        ''' <remarks></remarks>
        Public Sub New(ByVal bars As Integer)
            m_Bars = bars
        End Sub

#End Region

#Region " Public Properties "

        ''' <summary>
        ''' The Number of Bars (x 10deg C)
        ''' </summary>
        ''' <value></value>
        ''' <returns></returns>
        ''' <remarks></remarks>
        Public Property Bars As Integer
            Get
                Return m_Bars
            End Get
            Set(ByVal value As Integer)
                m_Bars = value
            End Set
        End Property

#End Region

    End Class

End Namespace